summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author dsomero <xgizzmo@slackbuilds.org>2011-04-03 13:18:24 -0400
committer Robby Workman <rworkman@slackbuilds.org>2011-04-04 22:06:48 -0500
commit1e929f619a2baa3b0ce414c2210c0eb0b94d9a5c (patch)
tree9134a4d7ecb7580514ce7c7ddeee85d3bb43eb1b
parent2289bcebc6a94ee5b09e94c594b4b4ea75bab2ae (diff)
downloadslackbuilds-1e929f619a2baa3b0ce414c2210c0eb0b94d9a5c.tar.gz
slackbuilds-1e929f619a2baa3b0ce414c2210c0eb0b94d9a5c.tar.xz
perl/perl-Mail-SPF: Fixed buildng on Slackware 13.37.
Use Build method #2 from template to fix building. Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
-rw-r--r--perl/perl-Mail-SPF/perl-Mail-SPF.SlackBuild44
1 files changed, 19 insertions, 25 deletions
diff --git a/perl/perl-Mail-SPF/perl-Mail-SPF.SlackBuild b/perl/perl-Mail-SPF/perl-Mail-SPF.SlackBuild
index 75992015e8..e5e5b3126d 100644
--- a/perl/perl-Mail-SPF/perl-Mail-SPF.SlackBuild
+++ b/perl/perl-Mail-SPF/perl-Mail-SPF.SlackBuild
@@ -30,7 +30,7 @@ SRCNAM=Mail-SPF-v2.007
PRGNAM=perl-Mail-SPF
VERSION=2.007
TAG=${TAG:-_SBo}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -77,36 +77,30 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-CFLAGS="$SLKCFLAGS" \
-perl Makefile.PL INSTALLDIRS=vendor
+perl Build.PL \
+ prefix=/usr \
+ installdirs=vendor \
+ destdir=$PKG
+./Build
+./Build test
+./Build install \
+ --install_path bindoc=/usr/man/man1 \
+ --install_path libdoc=/usr/man/man3
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+find $PKG -name perllocal.pod -o -name ".packlist" -o -name "*.bs" | xargs rm -f || true
-make
-make install DESTDIR=$PKG
+find $PKG -depth -type d -empty -delete || true
-### putting essential docs
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
-# Remove perlocal.pod and .packlist from $PKG
-( cd $PKG
- find . -name "perllocal.pod" -o -name ".packlist" -o -name "*.bs" | xargs rm -f
-)
-
-# Remove empty directories
-find $PKG -depth -type d -empty -exec rm -rf {} \;
-
-find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-
-# move man pages
-mv $PKG/usr/share/man $PKG/usr
-
-( cd $PKG/usr/man
- find . -type f -exec gzip -9 {} \;
- for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
-)
-
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc